import { type RecursiveSummary } from '@pnpm/cli-utils';
import { type Config } from '@pnpm/config';
import { type ProjectsGraph } from '@pnpm/types';
export declare const shorthands: {
    parallel: string[];
    c: string;
};
export declare const commandNames: string[];
export declare function rcOptionsTypes(): {
    'shell-mode': BooleanConstructor;
    'resume-from': StringConstructor;
    'report-summary': BooleanConstructor;
};
export declare const cliOptionsTypes: () => {
    recursive: BooleanConstructor;
    reverse: BooleanConstructor;
    'shell-mode': BooleanConstructor;
    'resume-from': StringConstructor;
    'report-summary': BooleanConstructor;
};
export declare function help(): string;
export declare function getResumedPackageChunks({ resumeFrom, chunks, selectedProjectsGraph, }: {
    resumeFrom: string;
    chunks: string[][];
    selectedProjectsGraph: ProjectsGraph;
}): string[][];
export declare function writeRecursiveSummary(opts: {
    dir: string;
    summary: RecursiveSummary;
}): Promise<void>;
export declare function createEmptyRecursiveSummary(chunks: string[][]): RecursiveSummary;
export declare function getExecutionDuration(start: [number, number]): number;
export declare function handler(opts: Required<Pick<Config, 'selectedProjectsGraph'>> & {
    bail?: boolean;
    unsafePerm?: boolean;
    rawConfig: object;
    reverse?: boolean;
    sort?: boolean;
    workspaceConcurrency?: number;
    shellMode?: boolean;
    resumeFrom?: string;
    reportSummary?: boolean;
} & Pick<Config, 'extraBinPaths' | 'extraEnv' | 'lockfileDir' | 'dir' | 'userAgent' | 'recursive' | 'workspaceDir'>, params: string[]): Promise<{
    exitCode: number;
}>;
